Package dev.plex.rank.enums

# Enum Class Rank

java.lang.Object
java.lang.Enum<Rank>
dev.plex.rank.enums.Rank

All Implemented Interfaces:
  `Serializable`, `Comparable<Rank>`, `Constable`

public enum Rank extends Enum<Rank>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADMIN`
`EXECUTIVE`
`IMPOSTOR`
`NONOP`
`OP`
`SENIOR_ADMIN`

## Field Summary

Fields
Modifier and Type
Field
Description
`private final net.kyori.adventure.text.format.NamedTextColor`
`color`
`private final int`
`level`
`private String`
`loginMessage`
`private String`
`prefix`
`private String`
`readable`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Rank(int level, String loginMessage, String readable, String prefix, net.kyori.adventure.text.format.NamedTextColor color)`

## Method Summary

Modifier and Type
Method
Description
`net.kyori.adventure.text.Component`
`getPrefix()`
`boolean`
`isAtLeast(Rank rank)`
`org.json.JSONObject`
`toJSON()`
`static Rank`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Rank[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### IMPOSTOR

public static final Rank IMPOSTOR

### NONOP

public static final Rank NONOP

### OP

public static final Rank OP

### ADMIN

public static final Rank ADMIN

### SENIOR_ADMIN

public static final Rank SENIOR_ADMIN

### EXECUTIVE

public static final Rank EXECUTIVE

## Field Details

### level

private final int level

### color

private final net.kyori.adventure.text.format.NamedTextColor color

### loginMessage

private String loginMessage

### readable

private String readable

### prefix

private String prefix

## Constructor Details

### Rank

private Rank(int level, String loginMessage, String readable, String prefix, net.kyori.adventure.text.format.NamedTextColor color)

## Method Details

### values

public static Rank[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Rank valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isAtLeast

public boolean isAtLeast(Rank rank)

### getPrefix

public net.kyori.adventure.text.Component getPrefix()

### toJSON

public org.json.JSONObject toJSON()